Skip to content

All resources

tags

10 endpoints

get /bugs/{id}/tags

List a bug's tags

Requires authentication

Parameters

NameInTypeRequiredDescription
idpathintegeryesBug id

Responses

  • 200 OK · domain.Tag[]
  • 400 Bad Request · apimodel.ErrorEnvelope

post /bugs/{id}/tags/{tagId}

Add a tag to a bug

Requires authentication

Idempotent: 204 also when the task already has the tag. A task of any type is accepted. 403 when the task is not in the tag's project (another project, another org or no such task), 404 when the tag does not exist.

Parameters

NameInTypeRequiredDescription
idpathintegeryesBug id
tagIdpathintegeryesTag id

Responses

  • 204 attached
  • 400 Bad Request · apimodel.ErrorEnvelope
  • 403 Forbidden · apimodel.ErrorEnvelope
  • 404 Not Found · apimodel.ErrorEnvelope

delete /bugs/{id}/tags/{tagId}

Remove a tag from a bug

Requires authentication

Idempotent: 204 also when the task did not have the tag. A task of any type is accepted. 403 when the task is not in the tag's project (another project, another org or no such task), 404 when the tag does not exist.

Parameters

NameInTypeRequiredDescription
idpathintegeryesBug id
tagIdpathintegeryesTag id

Responses

  • 204 detached
  • 400 Bad Request · apimodel.ErrorEnvelope
  • 403 Forbidden · apimodel.ErrorEnvelope
  • 404 Not Found · apimodel.ErrorEnvelope

get /features/{id}/tags

List a feature's tags

Requires authentication

Parameters

NameInTypeRequiredDescription
idpathintegeryesFeature id

Responses

  • 200 OK · domain.Tag[]
  • 400 Bad Request · apimodel.ErrorEnvelope

post /features/{id}/tags/{tagId}

Add a tag to a feature

Requires authentication

Idempotent: 204 also when the task already has the tag. A task of any type is accepted. 403 when the task is not in the tag's project (another project, another org or no such task), 404 when the tag does not exist.

Parameters

NameInTypeRequiredDescription
idpathintegeryesFeature id
tagIdpathintegeryesTag id

Responses

  • 204 attached
  • 400 Bad Request · apimodel.ErrorEnvelope
  • 403 Forbidden · apimodel.ErrorEnvelope
  • 404 Not Found · apimodel.ErrorEnvelope

delete /features/{id}/tags/{tagId}

Remove a tag from a feature

Requires authentication

Idempotent: 204 also when the task did not have the tag. A task of any type is accepted. 403 when the task is not in the tag's project (another project, another org or no such task), 404 when the tag does not exist.

Parameters

NameInTypeRequiredDescription
idpathintegeryesFeature id
tagIdpathintegeryesTag id

Responses

  • 204 detached
  • 400 Bad Request · apimodel.ErrorEnvelope
  • 403 Forbidden · apimodel.ErrorEnvelope
  • 404 Not Found · apimodel.ErrorEnvelope

get /projects/{projectId}/tags

List a project's tags

Requires authentication

Parameters

NameInTypeRequiredDescription
projectIdpathintegeryesProject id

Responses

  • 200 OK · domain.Tag[]
  • 400 Bad Request · apimodel.ErrorEnvelope

post /tags

Create a tag

Requires authentication

Request body: dto.CreateTagRequest

NameTypeRequiredDescription
colorstringyesHex color format #RRGGBB
namestringyes
projectIdintegeryes

Responses

  • 201 Created · domain.Tag
  • 400 Bad Request · apimodel.ErrorEnvelope
  • 409 A tag with this name already exists in the project · apimodel.ErrorEnvelope

patch /tags/{id}

Update a tag

Requires authentication

Parameters

NameInTypeRequiredDescription
idpathintegeryesTag id

Request body: dto.UpdateTagRequest

NameTypeRequiredDescription
colorstringnoHex color format #RRGGBB
namestringno

Responses

  • 200 OK · domain.Tag
  • 400 Bad Request · apimodel.ErrorEnvelope
  • 409 A tag with this name already exists in the project · apimodel.ErrorEnvelope

delete /tags/{id}

Delete a tag

Requires authentication

Parameters

NameInTypeRequiredDescription
idpathintegeryesTag id

Responses

  • 204 deleted
  • 400 Bad Request · apimodel.ErrorEnvelope